%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api 	2
%define major	0
%define gmajor	2.0
%define libname	%mklibname %{name} %{api} %{major}
%define girname	%mklibname %{name}-gir %{gmajor}
%define devname	%mklibname %{name} %{api} -d

Name:		geoclue
Version:	2.4.3
Release:	%mkrel 1
Summary:	A modular geoinformation service
Group:		System/Libraries
License:	GPLv2+
URL:		http://geoclue.freedesktop.org/
Source0:	http://www.freedesktop.org/software/geoclue/releases/%{url_ver}/geoclue-%{version}.tar.xz
#---------------------------------------------
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: libxml2-utils
BuildRequires: modemmanager-devel
BuildRequires: pkgconfig
BuildRequires: %{_lib}avahi-common-devel
BuildRequires: %{_lib}avahi-glib-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}json-glib-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}soup-devel
#---------------------------------------------
Requires: glib-networking

%description
Geoclue is a D-Bus service that provides location information. The
primary goal of the Geoclue project is to make creating location-aware
applications as simple as possible, while the secondary goal is to
ensure that no application can access location information without
explicit permission from user.

Geoclue used to also do (reverse-)geocoding but that functionality has
been dropped in favor of geocode-glib library.

However project is in the early stages of development and hence
lacking essential features. Currently it can only determine your
location based on your IP (i-e city-level accuracy) and does not have
any permission control.

%files
%doc NEWS README
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.GeoClue2.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.GeoClue2.Agent.conf
%dir %{_sysconfdir}/%{name}/
%{_sysconfdir}/%{name}/%{name}.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.GeoClue2.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Agent.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Client.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Location.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Manager.xml
%{_datadir}/applications/geoclue-demo-agent.desktop
%{_datadir}/applications/geoclue-where-am-i.desktop
%{_libexecdir}/geoclue-2.0/
%{_libexecdir}/geoclue

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Geoclue Client Library
Group:		System/Libraries

%description -n %{libname}
A convenience library to interact with Geoclue service.

%files -n %{libname}
%{_libdir}/libgeoclue-%{api}.so.%{major}
%{_libdir}/libgeoclue-%{api}.so.%{major}.*
%{_libdir}/girepository-1.0/Geoclue-%{gmajor}.typelib

#--------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for geoclue2
Group:		Development/Libraries
Obsoletes:	%{name}-devel < 2.4.0
Provides:	%{name}-devel = %{version}-%{release}
Requires:	geoclue
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
This package contains the development files for geoclue2.

%files -n %{devname}
%{_includedir}/libgeoclue-%{gmajor}/
%{_libdir}/pkgconfig/geoclue-%{gmajor}.pc
%{_libdir}/pkgconfig/libgeoclue-%{gmajor}.pc
%{_libdir}/libgeoclue-%{api}.so
%{_datadir}/gir-1.0/Geoclue-%{gmajor}.gir

#--------------------------------------------------------------------
%prep
%setup -q

%build
%configure2_5x \
	--enable-demo-agent \
	--disable-static \
	--enable-introspection=yes \

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete


%changelog
* Mon Nov 21 2016 adrianomorselli <adrianomorselli> 2.4.3-1uplos2016
- rebuild

* Thu Jun 23 2016 bb <bb> 2.4.3-1pclos2016
- update

* Mon Jan 18 2016 bb <bb> 2.4.0-1pclos2016
- update for redshift
